# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "json-register"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust library for registering JSON objects in PostgreSQL with canonicalisation and caching"
readme = "README.md"
keywords = [
    "json",
    "canonicalisation",
    "postgresql",
    "database",
    "cache",
]
categories = [
    "database",
    "encoding",
]
license = "Apache-2.0"
repository = "https://github.com/telicent-oss/json-register"

[features]
default = []
extension-module = [
    "pyo3/extension-module",
    "python",
]
python = [
    "dep:pyo3",
    "dep:pythonize",
]

[lib]
name = "json_register"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[dependencies.lru]
version = "0.12"

[dependencies.pyo3]
version = "0.23.3"
features = ["abi3-py38"]
optional = true

[dependencies.pythonize]
version = "0.23"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "uuid",
    "time",
]

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dev-dependencies.serde_json]
version = "1.0"

[dev-dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "uuid",
    "time",
]

[dev-dependencies.tokio]
version = "1.0"
features = ["full"]
